import useRegisterNodeRef from "@utilityjs/use-register-node-ref";
import * as React from "react";
var useHover = function () {
    var _a = React.useState(false), isHovered = _a[0], setIsHovered = _a[1];
    var handleMouseEnter = function () { return setIsHovered(true); };
    var handleMouseLeave = function () { return setIsHovered(false); };
    var registerRef = useRegisterNodeRef(function (node) {
        node.addEventListener("mouseenter", handleMouseEnter);
        node.addEventListener("mouseleave", handleMouseLeave);
        return function () {
            node.removeEventListener("mouseenter", handleMouseEnter);
            node.removeEventListener("mouseleave", handleMouseLeave);
        };
    });
    return { isHovered: isHovered, setIsHovered: setIsHovered, registerRef: registerRef };
};
export default useHover;
